-1

I have problem with pure-ftpd-mysql. When i try remove pure-ftpd-mysql all time i have same issue:

root@vps438255:/var/lib/dpkg/info# apt-get remove --purge pure-ftpd-mysql
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  pure-ftpd-mysql*
0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 559 kB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 112166 files and directories currently installed.)
Removing pure-ftpd-mysql (1.0.43-3) ...
/var/lib/dpkg/info/pure-ftpd-mysql.prerm: 18: /var/lib/dpkg/info/pure-ftpd-mysql.prerm: update-inetd: not found
dpkg: error processing package pure-ftpd-mysql (--remove):
 subprocess installed pre-removal script returned error exit status 127
/var/lib/dpkg/info/pure-ftpd-mysql.postinst: 34: /var/lib/dpkg/info/pure-ftpd-mysql.postinst: update-inetd: not found
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 pure-ftpd-mysql
E: Sub-process /usr/bin/dpkg returned an error code (1)

I try that comands to celar cache

apt-get clean

apt-get autoclean

But that still not working.

When i try put:

apt-get update && upgrade or apt-get autoremove

root@vps438255:/var/lib/dpkg/info# apt-get autoremove Reading package lists... Done Building dependency tree
Reading state information... Done You might want to run 'apt --fix-broken install' to correct these. The following packages have unmet dependencies: pure-ftpd-mysql : Depends: pure-ftpd-common (= 1.0.43-3) but it is not installed E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution). You have new mail in /var/mail/root

I tried internet search something to solve my problem but nothing work.

Solved: Just install update-inetd and run apt --fix-broken install

  • 1
    Is update-inetd (or rlinetd) installed? Looks like the prerm script is looking for it and failing because it is not installed. – fkraiem Jul 1 '18 at 19:29
  • I don't have that. What i should do? – Incl Jul 1 '18 at 19:36
  • Try installing update-inetd. – fkraiem Jul 1 '18 at 19:38
  • When i try install that from deb:pastebin.com/yitNDp88 – Incl Jul 1 '18 at 19:39
  • And why from deb? – fkraiem Jul 1 '18 at 19:41
0

The removal of pure-ftpd-mysql was failing because the pre-removal script tried to run update-inetd, which was not installed:

/var/lib/dpkg/info/pure-ftpd-mysql.prerm: 18: /var/lib/dpkg/info/pure-ftpd-mysql.prerm: update-inetd: not found

Installing update-inetd apparently solved the problem.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.